curl --request GET \
--url https://partner-api.ochy-prod.com/shoeRecommendation/{shoe_recommendation_id}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/shoeRecommendation/{shoe_recommendation_id}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/shoeRecommendation/{shoe_recommendation_id}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"all_matches": [
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "low"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "high"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "medium"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "motion_control"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"model_name": "Supernova Solution 2",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_id": "supernova_solution_2",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "November 2024",
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"heel_to_toe_drop": "high",
"id": "supernova_solution_2",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Supernova Solution 2",
"motion_control_shoe": "motion_control",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"organization_active": false,
"release_year": 2024,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "low"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "medium"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "low"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "neutral"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "light"
}
},
"gtins": [],
"model_name": "Adizero Adios 9",
"mpns": [],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9_background.webp",
"gradient": [
"#58595B",
"#96989D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9.webp",
"product_page": "",
"video_url": ""
},
"shoe_id": "adizero_adios_9",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"heel_to_toe_drop": "medium",
"id": "adizero_adios_9",
"midsole_hardness": "soft",
"midsole_thickness": "low",
"model_name": "Adizero Adios 9",
"motion_control_shoe": "neutral",
"organization_active": false,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9_background.webp",
"gradient": [
"#58595B",
"#96989D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9.webp",
"product_page": "",
"video_url": ""
},
"shoe_purpose": [
"tempo_training",
"racing"
],
"shoe_weight": "light"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "medium"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "high"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "medium"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "neutral"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [],
"model_name": "Ultraboost 5X",
"mpns": [],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x_background.png",
"gradient": [
"#2B4D37",
"#748276"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x.png"
},
"shoe_id": "ultraboost_5x",
"shoe_specs": {
"active": false,
"bending_stiffness": "medium",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"heel_to_toe_drop": "high",
"id": "ultraboost_5x",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Ultraboost 5X",
"motion_control_shoe": "neutral",
"organization_active": false,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x_background.png",
"gradient": [
"#2B4D37",
"#748276"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x.png"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "low"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "high"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "medium"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "low"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "neutral"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [
"4067906425333",
"4067906420437",
"4067906420345",
"4068802941767",
"4068802941781",
"4067906438944",
"4067904383468",
"4067904383567",
"4067904383499",
"4067904383444",
"4067904383529",
"4067904383512",
"4067904383482",
"4067904383536",
"4067904383543",
"4067904383420",
"4067904383437",
"4067906447021",
"4067906447779",
"4067906447885",
"4067904387428",
"4067904387411"
],
"model_name": "Supernova Rise 2",
"mpns": [
"ADIJQ7704",
"ADIJQ7703",
"ADIJQ7691",
"ADIJQ7701",
"ADIJR7688",
"ADIJQ7689",
"ADIJQ4793"
],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2_background.webp",
"gradient": [
"#536547",
"#212720"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_supernova_rise_2_asset.mp4"
},
"shoe_id": "supernova_rise_2",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "December 3, 2024",
"gtins": [
"4067906425333",
"4067906420437",
"4067906420345",
"4068802941767",
"4068802941781",
"4067906438944",
"4067904383468",
"4067904383567",
"4067904383499",
"4067904383444",
"4067904383529",
"4067904383512",
"4067904383482",
"4067904383536",
"4067904383543",
"4067904383420",
"4067904383437",
"4067906447021",
"4067906447779",
"4067906447885",
"4067904387428",
"4067904387411"
],
"heel_to_toe_drop": "high",
"id": "supernova_rise_2",
"midsole_hardness": "medium",
"midsole_thickness": "low",
"model_name": "Supernova Rise 2",
"motion_control_shoe": "neutral",
"mpns": [
"ADIJQ7704",
"ADIJQ7703",
"ADIJQ7691",
"ADIJQ7701",
"ADIJR7688",
"ADIJQ7689",
"ADIJQ4793"
],
"organization_active": false,
"release_year": 2024,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2_background.webp",
"gradient": [
"#536547",
"#212720"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_supernova_rise_2_asset.mp4"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "medium"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "medium"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "medium"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "motion_control"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [],
"model_name": "Adistar 4",
"mpns": [],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4_background.webp",
"gradient": [
"#3B3F3A",
"#445345"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_adistar_4_asset.mp4"
},
"shoe_id": "adistar_4",
"shoe_specs": {
"active": false,
"bending_stiffness": "medium",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "Fall 2025",
"heel_to_toe_drop": "medium",
"id": "adistar_4",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Adistar 4",
"motion_control_shoe": "motion_control",
"organization_active": true,
"release_year": 2025,
"rocker": "rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4_background.webp",
"gradient": [
"#3B3F3A",
"#445345"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_adistar_4_asset.mp4"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
}
],
"best_matching_shoe": {
"brand_name": "Adidas",
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"has_carbon_plate": false,
"model_name": "Supernova Solution 2",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_id": "supernova_solution_2",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "November 2024",
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"heel_to_toe_drop": "high",
"id": "supernova_solution_2",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Supernova Solution 2",
"motion_control_shoe": "motion_control",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"organization_active": false,
"release_year": 2024,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
"recommendations": {
"bending_stiffness": {
"recommendation": "low"
},
"carbon_plate": {
"recommendation": "none"
},
"heel_to_toe_drop": {
"recommendation": "high"
},
"midsole_hardness": {
"recommendation": "soft"
},
"midsole_thickness": {
"recommendation": "high"
},
"motion_control_shoe": {
"recommendation": null
},
"rocker": {
"recommendation": "rocker"
},
"shoe_weight": {
"recommendation": "light"
}
},
"user_id": "soMVQZYUNcMwXQvwhVlof24t9672"
}Get shoe recommendation results
Step 3 of 3 — Get shoe recommendation results for a recommendation started in step 2.
Returns 200 with the result payload: recommendations, best_matching_shoe, all_matches, and user_id. Catalog shoes include top-level gtins and mpns (string arrays, possibly empty).
curl --request GET \
--url https://partner-api.ochy-prod.com/shoeRecommendation/{shoe_recommendation_id}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/shoeRecommendation/{shoe_recommendation_id}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/shoeRecommendation/{shoe_recommendation_id}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"all_matches": [
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "low"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "high"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "medium"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "motion_control"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"model_name": "Supernova Solution 2",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_id": "supernova_solution_2",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "November 2024",
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"heel_to_toe_drop": "high",
"id": "supernova_solution_2",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Supernova Solution 2",
"motion_control_shoe": "motion_control",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"organization_active": false,
"release_year": 2024,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "low"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "medium"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "low"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "neutral"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "light"
}
},
"gtins": [],
"model_name": "Adizero Adios 9",
"mpns": [],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9_background.webp",
"gradient": [
"#58595B",
"#96989D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9.webp",
"product_page": "",
"video_url": ""
},
"shoe_id": "adizero_adios_9",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"heel_to_toe_drop": "medium",
"id": "adizero_adios_9",
"midsole_hardness": "soft",
"midsole_thickness": "low",
"model_name": "Adizero Adios 9",
"motion_control_shoe": "neutral",
"organization_active": false,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9_background.webp",
"gradient": [
"#58595B",
"#96989D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adizero_adios_9.webp",
"product_page": "",
"video_url": ""
},
"shoe_purpose": [
"tempo_training",
"racing"
],
"shoe_weight": "light"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "medium"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "high"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "medium"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "neutral"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [],
"model_name": "Ultraboost 5X",
"mpns": [],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x_background.png",
"gradient": [
"#2B4D37",
"#748276"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x.png"
},
"shoe_id": "ultraboost_5x",
"shoe_specs": {
"active": false,
"bending_stiffness": "medium",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"heel_to_toe_drop": "high",
"id": "ultraboost_5x",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Ultraboost 5X",
"motion_control_shoe": "neutral",
"organization_active": false,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x_background.png",
"gradient": [
"#2B4D37",
"#748276"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_ultraboost_5_x.png"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "low"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "high"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "medium"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "low"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "neutral"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "non_rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [
"4067906425333",
"4067906420437",
"4067906420345",
"4068802941767",
"4068802941781",
"4067906438944",
"4067904383468",
"4067904383567",
"4067904383499",
"4067904383444",
"4067904383529",
"4067904383512",
"4067904383482",
"4067904383536",
"4067904383543",
"4067904383420",
"4067904383437",
"4067906447021",
"4067906447779",
"4067906447885",
"4067904387428",
"4067904387411"
],
"model_name": "Supernova Rise 2",
"mpns": [
"ADIJQ7704",
"ADIJQ7703",
"ADIJQ7691",
"ADIJQ7701",
"ADIJR7688",
"ADIJQ7689",
"ADIJQ4793"
],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2_background.webp",
"gradient": [
"#536547",
"#212720"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_supernova_rise_2_asset.mp4"
},
"shoe_id": "supernova_rise_2",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "December 3, 2024",
"gtins": [
"4067906425333",
"4067906420437",
"4067906420345",
"4068802941767",
"4068802941781",
"4067906438944",
"4067904383468",
"4067904383567",
"4067904383499",
"4067904383444",
"4067904383529",
"4067904383512",
"4067904383482",
"4067904383536",
"4067904383543",
"4067904383420",
"4067904383437",
"4067906447021",
"4067906447779",
"4067906447885",
"4067904387428",
"4067904387411"
],
"heel_to_toe_drop": "high",
"id": "supernova_rise_2",
"midsole_hardness": "medium",
"midsole_thickness": "low",
"model_name": "Supernova Rise 2",
"motion_control_shoe": "neutral",
"mpns": [
"ADIJQ7704",
"ADIJQ7703",
"ADIJQ7691",
"ADIJQ7701",
"ADIJR7688",
"ADIJQ7689",
"ADIJQ4793"
],
"organization_active": false,
"release_year": 2024,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2_background.webp",
"gradient": [
"#536547",
"#212720"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_rise_2.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_supernova_rise_2_asset.mp4"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
{
"brand_name": "Adidas",
"detailed_scores": {
"bending_stiffness": {
"recommended_value": "low",
"shoe_value": "medium"
},
"carbon_plate": {
"recommended_value": "none",
"shoe_value": "none"
},
"heel_to_toe_drop": {
"recommended_value": "high",
"shoe_value": "medium"
},
"midsole_hardness": {
"recommended_value": "soft",
"shoe_value": "soft"
},
"midsole_thickness": {
"recommended_value": "high",
"shoe_value": "medium"
},
"motion_control_shoe": {
"recommended_value": null,
"shoe_value": "motion_control"
},
"rocker": {
"recommended_value": "rocker",
"shoe_value": "rocker"
},
"shoe_weight": {
"recommended_value": "light",
"shoe_value": "medium"
}
},
"gtins": [],
"model_name": "Adistar 4",
"mpns": [],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4_background.webp",
"gradient": [
"#3B3F3A",
"#445345"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_adistar_4_asset.mp4"
},
"shoe_id": "adistar_4",
"shoe_specs": {
"active": false,
"bending_stiffness": "medium",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "Fall 2025",
"heel_to_toe_drop": "medium",
"id": "adistar_4",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Adistar 4",
"motion_control_shoe": "motion_control",
"organization_active": true,
"release_year": 2025,
"rocker": "rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4_background.webp",
"gradient": [
"#3B3F3A",
"#445345"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_adistar_4.webp",
"video_url": "https://storage.googleapis.com/berlin_marathon_assets/videos/adidas_adistar_4_asset.mp4"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
}
],
"best_matching_shoe": {
"brand_name": "Adidas",
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"has_carbon_plate": false,
"model_name": "Supernova Solution 2",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_id": "supernova_solution_2",
"shoe_specs": {
"active": false,
"bending_stiffness": "low",
"brand_key": "adidas",
"brand_name": "Adidas",
"carbon_plate": "none",
"global_release_date": "November 2024",
"gtins": [
"4067892893017",
"4067892893109",
"4067892893093",
"4067892893024",
"4067892893055",
"4067892892966",
"4067892893031",
"4067892885081",
"4067892889058",
"4067892885111",
"4067892885159",
"4067892885135",
"4067892885197"
],
"heel_to_toe_drop": "high",
"id": "supernova_solution_2",
"midsole_hardness": "soft",
"midsole_thickness": "medium",
"model_name": "Supernova Solution 2",
"motion_control_shoe": "motion_control",
"mpns": [
"ADIIG2170",
"ADIIH8714"
],
"organization_active": false,
"release_year": 2024,
"rocker": "non_rocker",
"shoe_asset": {
"background_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2_background.webp",
"gradient": [
"#597071",
"#717C7D"
],
"image_url": "https://storage.googleapis.com/running_shoes_assets/adidas/adidas_supernova_solution_2.webp"
},
"shoe_purpose": [
"jogging"
],
"shoe_weight": "medium"
}
},
"recommendations": {
"bending_stiffness": {
"recommendation": "low"
},
"carbon_plate": {
"recommendation": "none"
},
"heel_to_toe_drop": {
"recommendation": "high"
},
"midsole_hardness": {
"recommendation": "soft"
},
"midsole_thickness": {
"recommendation": "high"
},
"motion_control_shoe": {
"recommendation": null
},
"rocker": {
"recommendation": "rocker"
},
"shoe_weight": {
"recommendation": "light"
}
},
"user_id": "soMVQZYUNcMwXQvwhVlof24t9672"
}Authorizations
Recommended. Pass your API key as a Bearer token in the Authorization header: Authorization: Bearer YOUR_API_KEY.
Path Parameters
Identifier returned by POST /shoeRecommendation/form.
Response
Results ready (status was success).
Successful result payload. recommendations maps each shoe parameter to a
recommendation.
Maps each shoe parameter to an object with a recommendation value.
Typical keys include heel_to_toe_drop, motion_control_shoe, midsole_thickness,
midsole_hardness, carbon_plate, shoe_weight, rocker, bending_stiffness.
motion_control_shoe may be null when only side-view data was used.
Top match summary; fields may include brand, model, and catalog metadata.
Always includes gtins and mpns at the root (string arrays, possibly empty) for catalog integration.
Show child attributes
Show child attributes
Ranked list of catalog matches (length and shape depend on processing mode).
Each item includes top-level gtins and mpns (string arrays, possibly empty) and may
include detailed_scores with per-criterion recommended_value and shoe_value.
Show child attributes
Show child attributes
Technical user identifier associated with the recommendation.